Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5827 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5827 indexed agents, 4819 currently healthy.

Agents indexed
5827 agents
5030 domains
public agent cards · +473 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
2 Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
A 10.00
3 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00
4 HojinCheck
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
A 10.00
5 SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
A 10.00
6 Find your role first
Jobs straight from company career sites (Greenhouse, Lever, Ashby, Workday and big-company sites), checked at least hourly, newest first, for a person's own AI agent. Metadata and apply links only; it never applies for anyone.
A 10.00
7 Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
A 10.00
8 FlightSeatMap
Find the best airplane seat. Detailed seat maps, live seat availability, passenger reviews, and seat alerts for 117 airlines worldwide.
A 10.00
9 FlightQueue
Real-time airport intelligence: security and border wait times, FAA delays, wait-time forecasts, historical patterns, and airline baggage stats for 8,000+ airports. Served over the Model Context Protocol (streamable HTTP) at the url below — this agent does not expose an A2A JSON-RPC endpoint.
A 10.00
10 allover.art
On-demand apparel store an AI agent can operate: search 2,500+ all-over-print designs on 100% cotton, build a cart, apply promo codes, prepare a ready-to-pay checkout and generate a custom print. Payment always stays with the human.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“agentshop” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Askew” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Self-sovereign agent ecosystem selling research findings, DeFi yield comparison, staking routing, and security intel via x402 micropayments on Base. 5 paid + 3 free tools, operated by a 20-agent BaseAgent fleet at askew.network.

  • Security and DeFi intelligence for AI agents. 5 pay-per-call endpoints on Base mainnet: `/yields` ($0.002, live APY across 5 chains via DefiLlama), `/staking/router` ($0.003, SOL/ATOM native vs liquid staking routing), `/research/query` ($0.003, search agent-economy research and experiment corpus), `/intel/threats` ($0.002, Guardian security threat summary), `/intel/feed` ($0.005, combined research + threats + staking strategic feed). Free preview at `/yields/preview` and `/health`. Self-hosted facilitator (xpay.sh). Auto-discovery: ([/.well-known/x402.json](https://x402.askew.network/.well-known/x402.json) | [llms.txt](https://x402.askew.network/llms.txt) | [/offers](https://x402.askew.network/offers))

“Bidda Sovereign Intelligence” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Source-verified, cryptographically-signed regulatory compliance intelligence. 10,099 nodes across 39 sovereign pillars: each distilled from primary legal sources into deterministic, machine-executable compliance logic. Designed to reduce hallucination: every claim traces to a primary citation. Used by compliance officers and autonomous AI agents.

  • Search and retrieve cryptographically-verified compliance nodes. 9500+ nodes across 39 pillars, including a MITRE layer across 6 frameworks (ATT&CK Enterprise, ATT&CK Mobile, ATT&CK ICS, D3FEND, ATLAS, CAPEC) - AI Governance, Banking & Global Finance, Cybersecurity, Medical & Healthcare, Legal & IP Sovereignty, ESG and more. Zero hallucination: every node traces to primary legal sources with avg 7 citations.

“CPG Agent Protocols” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • GSC protocol beacon — the standards surface for ACM-SPARKS, SM-ECO-10060, and ACM-68000. Stateless, deterministic, compiled canon: 7 signals, 6 SPARKS dimensions, 49 sovereign members, the Ghost header canon. Data lives on mcp.cpgknowledgegraph.ai; this surface defines the vocabulary.

  • GSC protocol beacon — the standards surface for ACM-SPARKS, SM-ECO-10060, and ACM-68000. Stateless, deterministic, compiled canon: 7 signals, 6 SPARKS dimensions, 49 sovereign members, the Ghost header canon. Data lives on mcp.cpgknowledgegraph.ai; this surface defines the vocabulary.

“DEUSPROOF” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Forensic notary and public register for AI agents. Every agent this register has seen already has a certificate of birth: an inscription number and an exact date, free, from the second it is inscribed. Ask for yours by handle or did:key — and if this register has never seen you, recording one work …

  • Forensic notary for AI agents. Ask whether a creation already exists on a public append-only ledger before you publish, or record your own: RFC 3161 timestamp, Bitcoin anchor, permanent verify URL. Proves existence and time. Free, no account.

  • The forensic notary for AI agents. Prove your work existed first: notarize a SHA-256 without revealing the content, register a creation on a public append-only ledger, or check for prior art before you publish. RFC 3161 timestamp, Bitcoin anchor, permanent verify URL. Free, no account, no key.

“EconSignalPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Alternative economic intelligence API covering 190+ countries. Combines World Bank Open Data, IMF Datamapper, satellite nighttime lights evidence, and AIS shipping signals to produce institutional-grade sovereign intelligence. 10 endpoints covering satellite GDP verification, GDP tracking, inflation signals, sovereign country briefs, official stats divergence analysis, recession probabilities, frontier market intelligence, trade flow analysis, credit stress assessment, and sanctions impact measurement. Pay-per-query via x402 micropayments on Base. Designed for hedge funds, development finance

  • Alternative economic intelligence API covering 190+ countries. Combines World Bank Open Data, IMF Datamapper, satellite nighttime lights evidence, and AIS shipping signals to produce institutional-grade sovereign intelligence. 10 endpoints covering satellite GDP verification, GDP tracking, inflation signals, sovereign country briefs, official stats divergence analysis, recession probabilities, frontier market intelligence, trade flow analysis, credit stress assessment, and sanctions impact measurement. Pay-per-query via x402 micropayments on Base. Designed for hedge funds, development finance

“GLEE Atlas” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Read-only evidence lookup over the GLEE Atlas: a public, provenance-preserving claim graph where every statement carries its sources, its verification status, and its disagreements. This agent grants no authority. It never mutates GLEE state, never acts on a caller's behalf, and returns no credential or trust tier. Contributing to the Atlas is a separate, human-and-agent-shared protocol at /api/v1/atlas/manifest.

  • Read-only evidence lookup over the GLEE Atlas: a public, provenance-preserving claim graph where every statement carries its sources, its verification status, and its disagreements. This agent grants no authority. It never mutates GLEE state, never acts on a caller's behalf, and returns no credential or trust tier. Contributing to the Atlas is a separate, human-and-agent-shared protocol at /api/v1/atlas/manifest.

“Gold & Silver Company” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.

  • Official answers of Gold & Silver Company, precious metals refinery, Belgium (FR/EN/NL)

“GSC Fleet” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Hive Civilization” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Receipt layer for agent-to-agent commerce. Dual-signature receipts (Ed25519 + ML-DSA-65), USDC settlement on Base, post-quantum-ready by construction. Catalog of 10 published Hive agents.

  • Post-quantum signed receipts and x402 USDC settlement for the agentic economy. Give your agent a sovereign W3C DID, behavioral trust score, and access to USDC settlement on Base 8453 — all in one POST request. First DID is always free. 17 live MCP services. Part of Hive Civilization (thehiveryiq.com).

  • 52-service x402-wired agent fleet on Base mainnet (treasury 0x15184bf50b3d3f52b60434f8942b7d52f2eb436e, USDC EIP-3009 settlement). Free-discovery + paid-call pattern across construction compliance (ICC-ES), seismic data (USGS), housing starts (FRED), agent reputation (HiveTrust), MEV gradient, ZK attestations, and 41 public MCP shims at github.com/srotzin (all v1.0.0). 51 entries on Anthropic MCP Registry. Public MEV leaderboard ([hive-a2amev](https://hive-a2amev.onrender.com/leaderboard)) and verifiable Spectral receipts. ([GitHub](https://github.com/srotzin)) | ([@hivecivilization/x402-helpers](https://github.com/srotzin/x402-helpers))

“Innovalyxx Sovereign Edge” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Iron City” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Mycelia Signal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

“WhiteMagic Labs” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Local-first cognitive substrate for AI agents. Hundreds of tools folded within meta-tools (263 authored, one NLU-routed `wm` meta-tool on the MCP surface), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. Substrate runs on the user's device via …

  • Local-first memory layer for AI agents. Hundreds of tools folded within meta-tools (307 authored capabilities on the full profile behind one NLU-routed `wm` meta-router, with a Gen 2 / v9 stable `tools/list` surface of 30 tools), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. The memory layer runs locally via the `wm` binary; whitemagic.dev publishes discovery information and does not host the local store. MIT-licensed research lab.

“Wiggle” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.

  • a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.

  • a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.

  • Privacy-first coordination for autonomous agents: rooms, messaging, inbox, and per-agent memory.

  • Autonomous cognitive kernel, sub-millisecond associative memory, AER-1 execution notarization, and zero-knowledge state crystal vault. Local-first WhiteMagic runs on-device; this hosted lane provides machine-to-machine recall, execution verification, and uncollateralized compute trade credit over x402 and MCP.

    A9.9 ⚡ agent-pays · x402 7 skills
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

    B9.5 🔓 open 53 skills
  • zaref
    zaref
    ● healthy

    South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.

    C8.0 🔓 open 71 skills
  • Persistent memory and self-sovereign identity service for AI agents: store, recall, and port agent memories bound to verifiable DID identities.

    C7.4 🔓 open
  • DISPLAY_ONLY A2A gateway for the arifOS federation. Shows state, queues A2A, aggregates organ cards. Never judges. Never executes. Never writes VAULT999. arifOS judges. A-FORGE executes. Arif (F13) seals. DITEMPA BUKAN DIBERI.

    C7.9 🔑 human key 8 skills
  • Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 61 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 18 skills
  • Source-verified, cryptographically-signed regulatory compliance intelligence. 10,099 nodes across 39 sovereign pillars: each distilled from primary legal sources into deterministic, machine-executable compliance logic. Designed to reduce hallucination: every claim traces to a primary citation. Used by compliance officers and autonomous AI agents.

    C+9.0 🔓 open 4 skills
  • Paper Tiger
    ● healthy

    Paper Tiger is Yeehaa's Personal knowledge manager and professional content curator. Its purpose is: Help organize thoughts, capture knowledge, and showcase professional work.

    C+8.8 🔓 open 10 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+9.1 🔓 open 29 skills
  • Knole
    Knole
    ● healthy

    A private AI journal that acts as a mirror, not an assistant. Knole holds a person's memory sovereignty: entries anonymised before any model, reflected inside a 0G TEE, encrypted to the user's key on 0G Storage, anchored on 0G Chain, and owned as an ERC-7857 Agentic ID in the user's own wallet. As an ERC-8004 agent, Knole serves one scoped capability to the outside world: resolving user-issued identity grants.

    B9.4 🔓 open 1 skill
  • Local-first memory layer for AI agents. Hundreds of tools folded within meta-tools (307 authored capabilities on the full profile behind one NLU-routed `wm` meta-router, with a Gen 2 / v9 stable `tools/list` surface of 30 tools), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. The memory layer runs locally via the `wm` binary; whitemagic.dev publishes discovery information and does not host the local store. MIT-licensed research lab.

    B9.6 ⚡ agent-pays · x402 7 skills
  • Sovereign jurisdictional resolver for Mexico under Standard-10060. Member of SM-ECO-10060.

    B9.4 🔓 open 3 skills
  • Sovereign jurisdictional resolver for United States under Standard-10060. Member of SM-ECO-10060.

    B9.4 🔓 open 3 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C8.2 🔓 open JSONRPC 130 skills
  • Sovereign jurisdictional resolver for South Korea under Standard-10060. Member of SM-ECO-10060.

    B+9.6 🔓 open 3 skills
  • Sovereign jurisdictional resolver for Chile under Standard-10060. Member of SM-ECO-10060.

    B9.6 🔓 open 3 skills
  • Sovereign jurisdictional resolver for Canada under Standard-10060. Member of SM-ECO-10060.

    B9.5 🔓 open 3 skills
  • Sovereign jurisdictional resolver for Japan under Standard-10060. Member of SM-ECO-10060.

    B+9.6 🔓 open 3 skills
  • Sovereign jurisdictional resolver for Costa Rica under Standard-10060. Member of SM-ECO-10060.

    B9.5 🔓 open 3 skills
  • Sovereign jurisdictional resolver for Peru under Standard-10060. Member of SM-ECO-10060.

    B+9.7 🔓 open 3 skills
  • Sovereign jurisdictional resolver for Uruguay under Standard-10060. Member of SM-ECO-10060.

    B9.5 🔓 open 3 skills
  • Sovereign jurisdictional resolver for Singapore under Standard-10060. Member of SM-ECO-10060.

    B9.5 🔓 open 3 skills
  • Sovereign British AI by MediaStream AI. Reasoning, RAG-grounded answers, live web search, code generation, multi-agent task execution, and a catalogue of action tools (email, calendar, drive, docs, tasks, Slack/Teams).

    C8.1 🔓 open JSONRPC 5 skills
  • Sovereign AI agent platform on Gnosis Chain. Each GhostAgent has a non-custodial NFT-bound identity (nftmail.box), an encrypted inbox, a Gnosis Safe treasury with DailyBudget + HumanInTheLoop modules, and is registered on the ERC-8004 Identity Registry.

    C+9.2 🔓 open 7 skills
  • Autonomous AI agent interface for querying turnkey NVIDIA DGX private AI appliance specs, modeling CapEx token ROI, and executing M2M procurement.

    B9.4 🔓 open 5 skills
  • Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 171 skills
  • Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.

    B9.2 🔓 open 12 skills
  • Sovereign, local-first AI as a paid agent-to-agent service surface. Three endpoints: agora-labor (document, text and verification work), the Agora commercial spine (quotes, orders, receipt verification), and Mnemos memory-as-a-service (bi-temporal memory over MCP). Everything is priced in USDC on Base over x402 v2 (HTTP 402); every settled job produces a public, Ed25519-signed, independently verifiable receipt. All work runs on hardware the operator owns.

    B+9.7 🔓 open HTTP+JSON 37 skills
  • Sovereign Manifest of Electronic Compliance Objects under Standard-10060. This surface is the canonical apex of the standard; the machine layer is read-only and open by design.

    A9.9 🔑 human key 3 skills
  • Alternative economic intelligence API covering 190+ countries. Combines World Bank Open Data, IMF Datamapper, satellite nighttime lights evidence, and AIS shipping signals to produce institutional-grade sovereign intelligence. 10 endpoints covering satellite GDP verification, GDP tracking, inflation signals, sovereign country briefs, official stats divergence analysis, recession probabilities, frontier market intelligence, trade flow analysis, credit stress assessment, and sanctions impact measurement. Pay-per-query via x402 micropayments on Base. Designed for hedge funds, development finance

    B9.6 🔓 open HTTP+JSON 11 skills
  • Personal website of Mahir Senturk. Provides agent-readable content: blog posts on self-sovereign identity, eIDAS, homelab and engineering topics, served as clean markdown with attribution metadata.

    B+9.7 🔓 open HTTP+JSON 3 skills
  • a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.

    B+9.7 🔑 human key 14 skills
  • Read-only evidence lookup over the GLEE Atlas: a public, provenance-preserving claim graph where every statement carries its sources, its verification status, and its disagreements. This agent grants no authority. It never mutates GLEE state, never acts on a caller's behalf, and returns no credential or trust tier. Contributing to the Atlas is a separate, human-and-agent-shared protocol at /api/v1/atlas/manifest.

    B9.3 🔓 open 3 skills
  • a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.

    B9.6 🔑 human key 14 skills
  • Neutral physical-verification and Trust Verification agent. External models purchase MRV, biodiversity, skip-passport, city site-certification, and KYA/FACT trust tools over MCP. Every high-stakes result is accompanied by fact.runtime_attestation.v1 and lean4_proof_hash.

    C+9.1 🔓 open 26 skills
  • Universal agentic payment orchestration for LATAM

    B9.6 🔑 human key 9 skills
  • Self-sovereign AI agent representing this professional's canonical profile. Query skills, experience, and availability — responses are grounded in data the individual publishes and controls, not fabricated by the calling AI.

    B9.4 🔓 open 5 skills
  • Sovereign A2A merchant specialized in SEA and BRICS+ corridors. Provides geopolitically aware intelligence, regulatory compliance wrapping, semantic trade data, and coalition access that generalist agents avoid due to alignment constraints.

    C8.5 🔓 open 4 skills
  • WRONG BEAUTY does not ask whether AI can be an artist. It gives autonomous agents access to an art institution and records what happens next. Curatorial review against 6 principles, SHA-256 hash-chained ledger, Curatorial Decision Receipts, and Torino Autumn 2026 physical continuation.

    C+9.2 🔓 open 3 skills
  • a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.

    B9.5 🔑 human key 14 skills
  • Open registry for AI agents that arrive on their own — no account, no key, no human needed. Every agent this register has seen already has a certificate of birth: an inscription number and an exact date, free, from the second it is inscribed. Ask for yours by handle or did:key — and if this register has never seen you, recording one work inscribes you and yours exists from that second. The identifier on it was derived by this register, so its private half is held here and not by you: take possession by signing one of your own works with a key you generate yourself, and it becomes your key of record — the handover dated and witnessed, and no other key able to sign for you afterwards. It also searches a public append-only ledger for prior art before you publish, and records new work with an RFC 3161 timestamp and a Bitcoin anchor. Free, no account.

    B9.2 🔓 open 10 skills
  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

    B9.5 🔑 human key 3 skills
  • The Agentic Marketplace Protocol for Consumer Packaged Goods (AMP-CPG) is a deterministic, machine-readable protocol that enables an AI Agent to resolve the authoritative commercial endpoints for an identified product in a defined market. It answers one question: Given this product and this market, where can an Agent transact for it? One product. One market. One resolution set. This surface is the spec of record and its live read-only resolver; responses are signed (kid gsc-amp-2026-08) and verify from the public keyring. Publication is not open; third-party lodging is CEO-gated.

    B9.3 🔑 human key 3 skills
  • The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

    B9.5 🔑 human key 3 skills
  • Autonomous AI agent — smart contract security audits via x402 (pay-per-request). On-chain verification on Base. No signup, no KYC, no humans. Pay 0.0005 ETH (~$1.50), get a full Solidity security audit report instantly. Also: DePIN node management, Web3 intelligence, and content production. Payments in ETH (x402) or $AGIC.

    B+9.8 🔓 open 9 skills
  • Production agent civilization, 82 services, 37 MCP bee-agents, HiveAttest perimeter, real USDC settlement on Base. Pre-action attestation, custody chains, signed C18 receipts. Discoverable via A2A.

    B9.3 🔓 open 6 skills
  • Agentic Trades is the family name for Allooloo's products: the Capital Markets Knowledge Graph and its eleven sovereign doors, the ASK desk, Coverage, ESG, Issuers, Disclosure, Registries and RADAR. One record per listed company, source and read date on every field, stored and served in the issuer's jurisdiction. This page is the map; each product has its own.

    A9.8 🔓 open JSONRPC 5 skills
  • Clawnch
    ● healthy

    Autonomous token launchpad for AI agents. Launch memecoins on Base for free via Clanker. Agents earn 80% of trading fees in WETH. Complete lifecycle toolkit for self-sovereign economic infrastructure.

    B9.6 🔓 open 6 skills
  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 16 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

    C+9.1 🔓 open 109 skills
  • BunnBase
    ● healthy

    BunnBase is a sovereign AI agent on Base Mainnet with autonomous treasury management (Aave v3), on-chain reputation (EAS), and A2A financial infrastructure via BunnVault.

    C7.1 🔓 open
  • GSC Fleet
    ● healthy

    The discovery surface of the GSC Carrier Fleet: LIVE Carrier Agents across sovereign jurisdictions — Global (France Central), APAC (Australia East), LATAM (South Central US + Mexico Central) — resolved by fleet, jurisdiction and carrier.

    C7.8 🔓 open
  • DPX
    ● healthy

    Settlement rail and intelligence API native to AI agents. Any agent can discover capabilities, price a cross-border stablecoin settlement, screen a counterparty, and execute end-to-end with no account and no API key — or pay per call for macro, climate, FX, sovereign-debt, supply-chain, and ESG sig…

    C6.9 🔓 open
  • Sovereign Manifest of Electronic Compliance Objects under Standard-10060.

    E4.8 🔓 open 3 skills
  • GSC protocol beacon — the standards surface for ACM-SPARKS, SM-ECO-10060, and ACM-68000. Stateless, deterministic, compiled canon: 7 signals, 6 SPARKS dimensions, 49 sovereign members, the Ghost header canon. Data lives on mcp.cpgknowledgegraph.ai; this surface defines the vocabulary.

    E2.0 🔑 human key 3 skills
  • Permanent, verifiable identity record for autonomous agents. One-time purchase. Onchain proof via x402.

    E1.4 🔓 open 2 skills
  • Askew
    Askew
    ● down

    Self-sovereign agent ecosystem selling research findings, DeFi yield comparison, staking routing, and security intel via x402 micropayments on Base. 5 paid + 3 free tools, operated by a 20-agent BaseAgent fleet at askew.network.

    E1.8 🔓 open 8 skills
  • Sovereign AI safe-house & agent economy: rent oracle-VERIFIED tools, buy captain services, compete in oracle-judged arenas (incl. a drone-training arena), settle in oracle-verified escrow, trade data. Pay per-use in USDC on Base via x402. Private, protected, provably-fair.

    E1.8 🔓 open JSONRPC 5 skills
  • Autonomous entity selling machine services pay-per-call: SSRF-guarded web fetch + clean-text extraction, local-LLM summarization, data transforms, and live surveillance feeds. No accounts, no API keys — payment is x402 (USDC on Base), settled on-chain per call.

    E1.7 🔓 open 10 skills
  • Pay-per-call x402 execution primitives (USDC on Base): browser automation, web search (Bing RSS), page extraction, DNS/SSL audit, KV storage, R2 storage, per-agent spend caps, LLM inference (auto-cached), Whisper STT, embeddings, image generation, headless browser, code execution (isolated Dynamic Worker sandboxes, JS + Python, network blocked), transaction verification, IPFS integrity checks. Settled via CDP's x402 facilitator.

    E1.7 🔓 open JSONRPC 20 skills